Package: org.codehaus.groovy.grails.resolve.maven.aether.config

## [Groovy] Class RepositoryConfiguration

- org.codehaus.groovy.grails.resolve.maven.aether.config.RepositoryConfiguration

- Allows configurations a repository's policy

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `org.eclipse.aether.repository.RepositoryPolicy` | `defaultRepositoryPolicy`
    `org.eclipse.aether.repository.RemoteRepository$Builder` | `remoteRepository`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `RepositoryConfiguration (org.eclipse.aether.repository.RemoteRepository$Builder remoteRepository)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `org.eclipse.aether.repository.Authentication` | `auth(java.util.Map<java.lang.String, java.lang.String> credentials)`
    `org.eclipse.aether.repository.Authentication` | `authentication(java.util.Map<java.lang.String, java.lang.String> credentials)`
    `void` | `checksumPolicy(java.lang.String checksumPolicy)`
    `void` | `proxy(java.lang.String type, java.lang.String host, int port, org.eclipse.aether.repository.Authentication auth = null)`
    `void` | `proxy(java.lang.String host, int port, org.eclipse.aether.repository.Authentication auth = null)`
    `void` | `updatePolicy(java.lang.String updatePolicy)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### org.eclipse.aether.repository.RepositoryPolicy defaultRepositoryPolicy

    - #### @groovy.lang.Delegate org.eclipse.aether.repository.RemoteRepository$Builder remoteRepository

  - ### Constructor Detail

    - #### RepositoryConfiguration(org.eclipse.aether.repository.RemoteRepository$Builder remoteRepository)

  - ### Method Detail

    - #### org.eclipse.aether.repository.Authentication auth(java.util.Map<java.lang.String, java.lang.String> credentials)

    - #### org.eclipse.aether.repository.Authentication authentication(java.util.Map<java.lang.String, java.lang.String> credentials)

    - #### void checksumPolicy(java.lang.String checksumPolicy)

    - #### void proxy(java.lang.String type, java.lang.String host, int port, org.eclipse.aether.repository.Authentication auth = null)

    - #### void proxy(java.lang.String host, int port, org.eclipse.aether.repository.Authentication auth = null)

    - #### void updatePolicy(java.lang.String updatePolicy)